<div>
  <h4>事件通知</h4>
  <div class="row">
    <div class="col-4" style="max-width:400px;">
      <div class="row">
        <div class="row panel-input">
          <div class="col-4">事件名稱</div>
          <div class="col-2">
            <input nbInput style="width:180px;" [(ngModel)]="NotifyManagementArgs.cEventName">
          </div>
        </div>
        <div class="row panel-input">
          <div class="col-4">狀態</div>
          <div class="col-2">
            <nb-select style="width:180px;"
            [(ngModel)]="NotifyManagementArgs.cStatus">
              <nb-option [value]="">請選擇</nb-option>
              <nb-option [value]="true">啟用</nb-option>
              <nb-option [value]="false">關閉</nb-option>
            </nb-select>
          </div>
        </div>
        <div class="row panel-input">
          <div class="col-4">發送類型</div>
          <div class="col-2">
            <nb-select style="width:180px;"
            [(ngModel)]="NotifyManagementArgs.cType">
              <nb-option [value]="">請選擇</nb-option>
              <nb-option [value]=1>email</nb-option>
              <nb-option [value]=2>Line notify</nb-option>
              <nb-option [value]=3>email,Line notify</nb-option>
            </nb-select>
          </div>
        </div>
      </div>
    </div>
    <div class="col-8">
      <button class="btn-control" (click)="GetListNotifyManagement()">查詢</button>
      <button class="btn-control" (click)="AddDataEvent(dialog)">新增</button>
    </div>
  </div>

  <div>
    <h4>查詢結果</h4>
    <table class="dataTable">
      <thead>
        <th>功能</th>
        <th>事件名稱</th>
        <th>訊息內容</th>
        <th>狀態</th>
        <th>發送類型</th>
        <th>發送週期</th>
        <th>預計發送日期</th>
        <th>下次發送日期</th>
      </thead>
      <tbody>
        <tr *ngFor="let data of NotifyManagementList">
          <td>
            <button class="btn-Table" (click)="EditDataEvent(dialog3,data.cId)">編輯</button>
            <button class="btn-Table" (click)="viewEvent(dialog2)">查看結果</button>
          </td>
          <td>{{data.cEventName}}</td>
          <td>{{data.cMessage}}</td>
          <td>{{data.cStatus == true? "啟用"
                :data.cStatus == false? "關閉"
                :""}}
          </td>
          <td>{{data.cType == 1? "email"
                :data.cType == 2? "Line notify"
                :data.cType == 3? "email,Line notify"
                :""}}
          </td>
          <td>{{data.cCycle == "1"? "每周一"
              :data.cCycle == "2"? "每周二"
              :data.cCycle == "3"? "每周三"
              :data.cCycle == "4"? "每周四"
              :data.cCycle == "5"? "每周五"
              :data.cCycle == "6"? "每周六"
              :data.cCycle == "7"? "每周日"
              :"單次發送"}}
          </td>
          <td>{{data.cSendDate | date: 'yyyy-MM-dd HH:mm'}}</td>
          <td>{{data.cSendDate | date: 'yyyy-MM-dd HH:mm'}}</td>
        </tr>
      </tbody>
    </table>
  </div>
  <div style="height:20px;"></div>
  <ngx-pagination
    [(CollectionSize)]="totalRecords"
    [(Page)]="pageIndex" [(PageSize)]="pageSize"
    (PageChange)="GetListNotifyManagement()">
  </ngx-pagination>
</div>

<ng-template #dialog let-data let-ref="dialogRef">
  <nb-card
    style="height: 100%; overflow: auto; max-width: 900px"
    class="mr-md-5 ml-md-5"
  >
    <nb-card-header>
    </nb-card-header>
    <nb-card-body>
      <div class="row p-2">
        <div class="col-12 col-md-12">
          <table class="dataTable">
            <tbody>
              <tr>
                <td>事件名稱</td>
                <td>
                  <input
                  [(ngModel)]="NotifyManagementEvent.cEventName">
                </td>
              </tr>
              <tr>
                <td>狀態</td>
                <td>
                  <nb-select style="width:180px;"
                    [(ngModel)]="NotifyManagementEvent.cStatus">
                    <nb-option [value]="null">請選擇</nb-option>
                    <nb-option [value]="true">啟用</nb-option>
                    <nb-option [value]="false">關閉</nb-option>
                  </nb-select>
                </td>
              </tr>
              <tr>
                <td style="width:150px;">發送類型</td>
                <td>
                  <nb-checkbox (checkedChange)="TypeEmail($event)">email </nb-checkbox>
                  <nb-checkbox (checkedChange)="TypeLine($event)">Line notify</nb-checkbox>
                </td>
              </tr>
              <tr>
                <td>發送時間</td>
                <td>
                  <nb-checkbox>
                    指定時間
                  </nb-checkbox>
                  <input type="date" [(ngModel)]="NotifyManagementEvent.cSendDate">
                  <br>
                  <nb-checkbox>
                    週期
                  </nb-checkbox>
                  <nb-select
                    [(ngModel)]="NotifyManagementEvent.cCycle">
                    <nb-option [value]="1">星期一</nb-option>
                    <nb-option [value]="2">星期二</nb-option>
                    <nb-option [value]="3">星期三</nb-option>
                    <nb-option [value]="4">星期四</nb-option>
                    <nb-option [value]="5">星期五</nb-option>
                    <nb-option [value]="6">星期六</nb-option>
                    <nb-option [value]="7">星期日</nb-option>
                  </nb-select>
                </td>
              </tr>
              <tr>
                <td>發送對象</td>
                <td>
                  <input type="textarea"
                  [(ngModel)]="NotifyManagementEvent.cTarget">
                </td>
              </tr>
              <tr>
                <td>訊息內容</td>
                <td>
                  <input type="textarea"
                  [(ngModel)]="NotifyManagementEvent.cMessage">
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </nb-card-body>
    <nb-card-footer>
      <div class="row">
        <div class="col-12 text-center">
          <button
            class="btn btn-success mr-2"
            style="background-color: #159c91"
            (click)="refOK(ref)"
          >
            確認
          </button>
        </div>
      </div>
    </nb-card-footer>
  </nb-card>
</ng-template>

<ng-template #dialog2 let-data let-ref="dialogRef">
  <nb-card
    style="height: 100%; overflow: auto; max-width: 900px"
    class="mr-md-5 ml-md-5"
  >
    <nb-card-header>
    </nb-card-header>
    <nb-card-body>
      <div class="row p-2">
        <div class="col-12 col-md-12">
          <table class="dataTable">
            <thead>
              <th>No</th>
              <th>發送狀態</th>
              <th>發送時間</th>
            </thead>
            <tbody>
              <tr>
                <td></td>
                <td></td>
                <td></td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </nb-card-body>
    <nb-card-footer>
      <div class="row">
        <div class="col-12 text-center">
          <button
            class="btn btn-success mr-2"
            style="background-color: #159c91"
            (click)="resultOK(ref)"
          >
            確認
          </button>
        </div>
      </div>
    </nb-card-footer>
  </nb-card>
</ng-template>

<ng-template #dialog3 let-data let-ref="dialogRef">
  <nb-card
    style="height: 100%; overflow: auto; max-width: 900px"
    class="mr-md-5 ml-md-5"
  >
    <nb-card-header>
    </nb-card-header>
    <nb-card-body>
      <div class="row p-2">
        <div class="col-12 col-md-12">
          <table class="dataTable">
            <tbody>
              <tr>
                <td>事件名稱</td>
                <td>
                  <input
                  [(ngModel)]="NotifyManagementTemp.cEventName">
                </td>
              </tr>
              <tr>
                <td>狀態</td>
                <td>
                  <nb-select style="width:180px;"
                    [(ngModel)]="NotifyManagementTemp.cStatus">
                    <nb-option [value]="null">請選擇</nb-option>
                    <nb-option [value]="true">啟用</nb-option>
                    <nb-option [value]="false">關閉</nb-option>
                  </nb-select>
                </td>
              </tr>
              <tr>
                <td>發送類型</td>
                <td>
                  <nb-checkbox
                  [(checked)]="typeEmail"
                  (checkedChange)="TypeEmail($event)">email </nb-checkbox>
                  <nb-checkbox
                  [(checked)]="typeLine"
                  (checkedChange)="TypeLine($event)">Line notify</nb-checkbox>
                </td>
              </tr>
              <tr>
                <td>發送時間</td>
                <td>
                  <nb-checkbox>
                    指定時間
                  </nb-checkbox>
                  <input type="date" [(ngModel)]="NotifyManagementTemp.cSendDate">
                  <br>
                  <nb-checkbox>
                    週期
                  </nb-checkbox>
                  <nb-select
                    [(ngModel)]="NotifyManagementTemp.cCycle">
                    <nb-option [value]="1">星期一</nb-option>
                    <nb-option [value]="2">星期二</nb-option>
                    <nb-option [value]="3">星期三</nb-option>
                    <nb-option [value]="4">星期四</nb-option>
                    <nb-option [value]="5">星期五</nb-option>
                    <nb-option [value]="6">星期六</nb-option>
                    <nb-option [value]="7">星期日</nb-option>
                  </nb-select>
                </td>
              </tr>
              <tr>
                <td>發送對象</td>
                <td>
                  <input type="textarea"
                  [(ngModel)]="NotifyManagementTemp.cTarget">
                </td>
              </tr>
              <tr>
                <td>訊息內容</td>
                <td>
                  <input type="textarea"
                  [(ngModel)]="NotifyManagementTemp.cMessage">
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </nb-card-body>
    <nb-card-footer>
      <div class="row">
        <div class="col-12 text-center">
          <button
            class="btn btn-success mr-2"
            style="background-color: #159c91"
            (click)="editOK(ref)"
          >
            確認
          </button>
        </div>
      </div>
    </nb-card-footer>
  </nb-card>
</ng-template>
